
Infrastructure - Task #7067

Story # 6723 (Closed): test v2 MN and CN buildouts

Task # 7065 (Closed): Create functional tests for v2 SystemMetadata updating use cases.

Write the tests

2015-04-28 22:10 - Andrei Buium

Status: Closed Start date: 2015-04-28

Priority: Normal Due date:  

Assignee: Andrei Buium % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Obstacles:

Due to asynchronous calls, we need to spend a lot of time waiting.

These tests won't be able to run as part of the web tester.

To write the tests, we need to know:

- how long to wait for CN sync

- how long to wait for CN replication

(Is this part of a config file? Can it be fetched programatically? Or does it need to be set up before the test?)

History

#1 - 2015-05-28 19:40 - Andrei Buium

- % Done changed from 0 to 30

- Status changed from New to In Progress

- Assignee set to Andrei Buium

I wrote a functional test for this, but it makes a lot of assumptions still, and will need more work (regarding the questions in issue description).

#2 - 2015-07-01 14:50 - Andrei Buium

- % Done changed from 30 to 50

- Status changed from In Progress to Testing

#3 - 2015-11-04 18:48 - Andrei Buium

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 50 to 100

Tests for the v2 approach to updating system metadata are working properly and passing against current trunk implementation.
